Rated 4 out of 5 stars

incompatible with FF 3.0 rc2

This review is for a previous version of the add-on (1.0.4).